#!/usr/bin/env python3

from launch import LaunchDescription
from launch_ros.actions import Node


def generate_launch_description():
    return LaunchDescription([
        Node(
            package='voice_lrj',
            executable='asr_node', # ASR节点
            name='asr_node',
            output='screen',
            parameters=[],
            emulate_tty=True
        ),
        Node(
            package='voice_lrj',
            executable='voice_recognize', # 命令处理节点
            name='voice_recognize_node',
            output='screen',
            parameters=[],
            emulate_tty=True
        ),
        Node(
            package='voice_lrj',
            executable='voice_llm_node', # LLM节点
            name='voice_llm_node',
            output='screen',
            parameters=[],
            emulate_tty=True
        ),
        Node(
            package='voice_lrj',
            executable='voice_tts_node', # TTS节点
            name='voice_tts_node',
            output='screen',
            parameters=[],
            emulate_tty=True
        ),
        Node(
            package='voice_lrj',
            executable='vel_test', # 动作速度节点
            name='vel_test_node',
            output='screen',
            parameters=[],
            emulate_tty=True
        ),
        Node(
            package='voice_lrj',
            executable='face_recognition_node', # 人脸识别节点
            name='face_recognition_node',
            output='screen',
            parameters=[],
            emulate_tty=True
        ),
        Node(
            package='voice_lrj',
            executable='vel_test', # 动作执行节点
            name='vel_test_node',
            output='screen',
            parameters=[],
            emulate_tty=True
        ),
    ])